package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B14c;
import com.ruoyi.system.domain.B14cStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B14cMapper {

    /**
     * 查看所有
     * @return
     */
    List<B14c> selectAll();

    public List<B14c> selectListByInfo(B14c B14c);

    int setB14CStatus(@Param("userName") String userName, @Param("unitId") String unitId, @Param("monthId") String monthId);

    int insertOne(B14c B14c);

    /**
     * 新增表b14c字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B14c> list);

    /**
     * 新增表b14c_status字段 `员工id`
     */
    void addUserIdColumnStatus();

    /**
     * 查询表b14c_status所有数据
     * @return
     */
    List<B14cStatus> selectStatusAll();

    /**
     * 批量更新
     * @param list
     */
    void updateStatusList(List<B14cStatus> list);
}
